local mod = ...

mod:registerAssetId("heraldry/stonetree.png", "HERALDRY_MINE", "ATLAS_CELL")
mod:registerAsset({
	DataType = "TRADING_VILLAGE",
	Id = "VILLAGE_MINE",
	Description = "VILLAGE_MINE_DESC",
	Heraldry = "HERALDRY_MINE",
	VillageName = "The Miners of the Eastern Mountians",
	UnlockCost = {{ Resource = "FISH", Quantity = 20 }},
	ResourceTradingReplenishDelay = 0.5,
	BuyingResourceList = {
		--
		--
		--
		{ ResourceMaxAmount = { Resource = "FISH", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 4 } },
		{ ResourceMaxAmount = { Resource = "CLOTHES", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 12 } },
		{ ResourceMaxAmount = { Resource = "TOOL", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 15 } },		
	},
	SellingResourceList={
		{ ResourceMaxAmount = { Resource = "STONE", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 1 } },
		{ ResourceMaxAmount = { Resource = "QUARTZ", Quantity = 50 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 5 } },
		{ ResourceMaxAmount = { Resource = "IRON_ORE", Quantity = 50 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 10 } },
		{ ResourceMaxAmount = { Resource = "MARBLE", Quantity = 50 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 10 } },
		{ ResourceMaxAmount = { Resource = "GOLD_ORE", Quantity = 25 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 25 } },
		{ ResourceMaxAmount = { Resource = "GEMS", Quantity = 10 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 100 } },		
	},
	Allegiance = "LABOUR"
})