local mod = ...

mod:registerAssetId("heraldry/hammer.png", "HERALDRY_SMITH", "ATLAS_CELL")
mod:registerAsset({
	DataType = "TRADING_VILLAGE",
	Id = "VILLAGE_SMITH",
	Description = "VILLAGE_SMITH_DESC",
	Heraldry = "HERALDRY_SMITH",
	VillageName = "The Smiths Guild",
	UnlockCost = {{ Resource = "GOLD_COINS", Quantity = 20 }},
	ResourceTradingReplenishDelay = 0.5,
	BuyingResourceList = {
		--
		--
		{ ResourceMaxAmount = { Resource = "COAL", Quantity = 100 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 4 } },
		{ ResourceMaxAmount = { Resource = "IRON_ORE", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 10 } },
		{ ResourceMaxAmount = { Resource = "IRON", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 15 } },
		{ ResourceMaxAmount = { Resource = "GOLD_ORE", Quantity = 10 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 25 } },		
	},
	SellingResourceList={
		--
		{ ResourceMaxAmount = { Resource = "TOOL", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 15 } },
		{ ResourceMaxAmount = { Resource = "SPEAR", Quantity = 10 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 25 } },
		{ ResourceMaxAmount = { Resource = "SWORD", Quantity = 50 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 25 } },
		{ ResourceMaxAmount = { Resource = "IRON", Quantity = 50 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 20 } },
		{ ResourceMaxAmount = { Resource = "GOLD_BARS", Quantity = 10 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 100 } },		 
	},
	Allegiance = "LABOUR"
})