local mod = ...

mod:registerAssetId("heraldry/CoA2.png", "HERALDRY_B", "ATLAS_CELL")
mod:registerAsset({
	DataType = "TRADING_VILLAGE",
	Id = "VILLAGE_B",
	Description = "VILLAGE_B_DESC",
	Heraldry = "HERALDRY_B",
	VillageName = "House Chaplace of Angelhold",
	UnlockCost = {{ Resource = "STONE", Quantity = 20 }},
	ResourceTradingReplenishDelay = 0.5,
	BuyingResourceList = {
		-- r_cider
		-- bv1_eggs
		-- ,
		{ ResourceMaxAmount = { Resource = "STONE", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 1 } },
		{ ResourceMaxAmount = { Resource = "QUARTZ", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 5 } },
		{ ResourceMaxAmount = { Resource = "BERRIES", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 1 } },		
	},
	SellingResourceList={
		-- r_hay
		-- ,
		-- ,
		{ ResourceMaxAmount = { Resource = "RESOURCE_VEGETABLE", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 6 } },
		{ ResourceMaxAmount = { Resource = "GLASS", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 10 } },
		{ ResourceMaxAmount = { Resource = "POLISHED_STONE", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 3 } },		
	},
	Allegiance = "CLERGY"
})